/* ss-core/shelf.sql */

create table dictionary (
    type hex32 primary key,
    name string not null
);

create table inventory (
    uid  hex64 primary key,
    type hex32 references dictionary on delete cascade
);

/*
create table recipes (
    name string primary key,
    desc string,
    text string
);

create table ingredients (
    recipe  string references recipes on delete cascade,
    type_id hex32 references dictionary on delete cascade,
    sort    integer,
    qty     string,
    primary key (recipe, type_id),
    unique      (recipe, sort   )
);
*/

insert into dictionary values("00000001", "Kellogg's Corn Flakes");
insert into dictionary values("00000002", "A-1 Steak Sauce"      );
insert into dictionary values("00000003", "Whole Kernel Corn"    );
insert into dictionary values("00000004", "Bread"                );
insert into dictionary values("00000005", "Peanut Butter"        );
insert into dictionary values("00000006", "Jelly"                );
insert into dictionary values("00000007", "Strawberries"         );
insert into dictionary values("00000008", "Sugar"                );
insert into dictionary values("00000009", "Cream Cheese"         );
insert into dictionary values("0000000a", "Heavy Cream"          );
insert into dictionary values("0000000b", "Espresso"             );
insert into dictionary values("0000000c", "Ladyfingers"          );

/*
insert into recipes     values("Cereal with Strawberries", 
"Best in the morning.", "Just mix it all together.  Easy to make in a hurry.");
insert into ingredients values("Cereal with Strawberries", "00000007", 0,
"1/2 pint");
insert into ingredients values("Cereal with Strawberries", "0000000a", 1, 
"1 cup");
insert into ingredients values("Cereal with Strawberries", "00000001", 2, 
"1 cup");

insert into recipes     values("PB&J", "Yum.",
"Using a butter knife, spread the peanut butter and jelly on separate slices of
bread, then press the bread slices together, mating condiments.  Serve with
smile.");
insert into ingredients values("PB&J", 00000006, 0, "2 slices");
insert into ingredients values("PB&J", 00000007, 1, "layer");
insert into ingredients values("PB&J", 00000008, 2, "layer");

insert into recipes    values("Strawberry Tiramisu", "Romance for Two",
"Cut off the tops of the strawberries and slice the berries. Reserve 2 large
whole berries for garnish. In a blender, place 2 cups of strawberries and 2
tablespoons confectioners sugar; blend to puree and set aside. In a medium bowl,
combine mascarpone cheese, 1/4 cup cream, 1/4 cup sugar, and liqueur; beat with
an electric mixer on medium-high speed for 1 to 1 1/2 minutes until thickened.
Place 6 ladyfingers on a serving plate and brush each with approximately 1
teaspoon cold espresso coffee.  Spread or pipe out 1/2 of the cheese mixture
over the ladyfingers, and layer with half of the sliced strawberries. Repeat
with the next 6 ladyfingers, espresso, remaining cheese mixture, and sliced
strawberries; top with remaining 6 ladyfingers. In a small mixing bowl, combine
1/4 cup heavy cream with 2 tablespoons sugar; beat with an electric mixer on
medium-high speed until just whipped, approximately 1 minute. Spread cream
evenly over top layer of ladyfingers. Dust cocoa over whipped cream, and garnish
with 2 reserved strawberries. Pour strawberry puree onto two serving plates. Cut
tiramisu in half, and place onto pure.");

insert into ingredients values("Strawberry Tiramisu", "00000007", 0, "1 
pint");
insert into ingredients values("Strawberry Tiramisu", "00000008", 1, "1/2 
cup");
insert into ingredients values("Strawberry Tiramisu", "00000009", 2, "1 
cup");
insert into ingredients values("Strawberry Tiramisu", "0000000a", 3, "1/2 
cup");
insert into ingredients values("Strawberry Tiramisu", "0000000b", 4, "2 
tbsp");
insert into ingredients values("Strawberry Tiramisu", "0000000c", 5, "18 
pieces");
*/

/* vim: set ts=4 sts=4 sw=4 tw=80 et: */
