# ss-gui/module.mk

PROGRAMS += $(DIR)/ss-gui

# Generate GUI source code from .fl file.
$(DIR)/fltk.cc $(DIR)/fltk.h: $(DIR)/fltk.fl
	fluid -c $(DIR)/fltk.cc $(DIR)/fltk.h $^

$(DIR)/fltk.o: $(DIR)/fltk.cc $(DIR)/fltk.h
	$(CXX) -c -o $@ $< $(CXXFLAGS) $(shell fltk-config --cxxflags)

$(DIR)/misc.o: $(DIR)/misc.cc $(DIR)/fltk.h
	$(CXX) -c -o $@ $< $(CXXFLAGS)

SRC-$(DIR)/ss-hw   := $(DIR)/fltk.cc $(DIR)/misc.cc
LIBS-$(DIR)/ss-hw  := $(shell fltk-config --libs) -lsqlite
# LLIBS-$(DIR)/ss-hw := evlist/evlist.a prjlibs/prjlibs.a

# fltk.cc fltk.h: SmartShelf.fl
# 	fluid -cxx 
# 
# fltk.o: fltk.cc fltk.h
# 	$(CXX) -c -o $@ $<
# 
# db.o: db.cc fltk.h db.h
# 	$(CXX) -c -o $@ $<
# 
# io.o: io.cc fltk.h io.h
# 	$(CXX) -c -o $@ $<
# 
# ss-gui: fltk.o db.o io.o
# 	$(CC) -o $@ $^ -lsqlite -I$(HOME)/usr/include -L$(HOME)/usr/lib\
# 		$(shell fltk-config --cxxflags ...)
# 
# run: ss-gui
# 	-./ss-gui

# vim: set ts=4 sw=4 tw=80 noet:
